> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/tools-terraform/docs/resources/dbaas_pgsql_database.md).

# ionoscloud\_pg\_database

Creates and manages DbaaS Postgres Database objects.

Manages a **DbaaS PgSql Database**.

## Example Usage

Create a `PgSQL` cluster as presented in the documentation for the cluster, then define a database resource and link it with the previously created cluster:

```hcl
resource "ionoscloud_pg_database" "example_pg_database" {
  cluster_id = ionoscloud_pg_cluster.example.id
  name = "exampledatabase"
  owner = "exampleuser"
}
```

## Argument reference

* `cluster_id` - (Required)\[string] The unique ID of the cluster. Immutable, forces re-creation.
* `name` - (Required)\[string] The name of the database. Immutable, forces re-creation.
* `owner` - (Required)\[string] The owner of the database. Immutable, forces re-creation.

## Import

In order to import a PgSql database, you can define an empty database resource in the plan:

```hcl
resource "ionoscloud_pg_database" "example" {
  
}
```

The resource can be imported using the `clusterId` and the `name`, for example:

```shell
terraform import ionoscloud_pg_database.example clusterid/name
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/tools-terraform/docs/resources/dbaas_pgsql_database.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
